Installer les paquets importants manquants sur Ubuntu 9.04(Jaunty)

englishThere is also an english version of this article

françaisComme il manque sur Ubuntu 9.04 Jaunty (version de test) MyPaint (logiciel de peinture), Pencil (logiciel d’animation) et Sakura (terminal léger en gtk avec onglets). Comme Jaunty est également le seul ubuntu 64 bits a booter sur mon atom 330, j’ai du installer à partir des sources ces trois logiciels. Pour les version d’Ubuntu plus anciennes, GetDeb contient les paquets de ces trois logiciels (MyPaint et Pencil)

Paquets deb, que j’ai généré pour ubunutu-9.04-alpha6 (amd64/x86_64), Pencil n’est qu’un binaire, pas de paquet pour mypaint 0.7.0 :

http://popolon.online.fr/deb/jaunty-amd64/

version x86:

http://popolon.online.fr/deb/jaunty-i386/

Mypaint :

Installer les dépendances

sudo apt-get install build-essential g++ scons swig python2.6-dev libglib2.0-dev python-numpy-dev

Récuperer les sources de MyPaint :

wget http://download.gna.org/mypaint/mypaint-0.6.0.tar.bz2

tar xf mypaint-0.6.0.tar.bz2 && cd mypaint-0.6.0

# Fonctionne avec toutes les versions dont

# la version git

scons # (scons -j4 pour compiler en utilisant les 4 cœurs de l’Atom330 en parallèle).

sudo scons prefix=/usr install

Une entrée apparait automatiquement dans le menu (graphisme), mais il faut ensuite corriger l’icone du menu à la main.

Pencil :

Installer les dépendances

sudo apt-get install qt4-qmake libqt4-dev libming-dev

Récuperer les sources de Pencil :

wget http://downloads.sourceforge.net/pencil-planner/pencil-0.4.4b-src.zip

(la version svn conseillée krach).

Compiler puis installer :

unzip -x pencil-0.4.4b-src.zip

cd pencil-0.4.4b-source/

qmake

make # (make -j4 pour compiler en utilisant les 4 cœurs de l’Atom330 en parallèle).

cp Pencil /usr/bin

Il faut ensuite crée une entrée dans les menus à la main, ou le lancer via un terminal : Pencil (avec P capitale).

Au passage, Drawpile un autre petit outil de peinture numérique qui permet de travailler à plusieurs, par contre, je ne sais pas d’où vient le problème mais cet outil censé gérer la pression de la tablette ne le fait pas chez moi.

Sakura :

sudo apt-get install cmake libgtk2.0-dev libvte-dev

cd /tmp/ wget http://www.pleyades.net/david/projects/sakura/sakura-2.3.3.tar.bz2

Dans /usr/local)

cmake . && sudo make install

Ou, si on veut, dans /usr

cmake -DCMAKE_INSTALL_PREFIX=/usr . && sudo make install

Leave a comment

You must be